Account
Get account
GET
/accountPrivateGet account information
Permissions: account:read
OK
application/json- response
username*stringUsername of the user
Length
length <= 64syntheticUsdBalance*numberSynthetic USD balance of the user (in dollars)
balance*numberBalance of the user
feeTier*integerFee tier of the user
Range
-2147483648 <= value <= 2147483647email*|Email of the user
id*stringUnique identifier for this account
linkingPublicKey*|Public key of the user
import { createHttpClient } from '@ln-markets/sdk/rest/v3'const client = createHttpClient({ key: 'your-key', secret: 'your-secret', passphrase: 'your-passphrase',})const result = await client.account.get(){ "username": "satoshi", "syntheticUsdBalance": 1337, "balance": 69420, "feeTier": 1, "email": null, "id": "1602a190-9dc0-48ff-9fb9-4b62f7270007", "linkingPublicKey": "037b7c2587f823de3c62a639369b8c939bfb8f0bd40df58e9c1b6df63bcc88df4f"}